Uploaded image for project: 'Debezium'
  1. Debezium
  2. DBZ-4060

Postgres JDBC Driver version causes connection issues on some cloud Postgres instances

    XMLWordPrintable

Details

    • Bug
    • Status: Closed (View Workflow)
    • Major
    • Resolution: Done
    • 1.3.1.Final, 1.4.2.Final, 1.5.4.Final, 1.6.2.Final, 1.7.0.CR2
    • 1.7.0.Final
    • postgresql-connector
    • None

    Description

      Hey all,

      I think I've identified an issue I'm having as to relating to the version of PostgreSQL JDBC Driver being used by Debezium.
      According to this post between version 42.2.14 and 42.2.17 there was an issue which made connections fallback to gssEncMode: pgjdbc/pgjdbc#1868

      This causes issues on Azure: https://jira.atlassian.com/browse/CONFSERVER-60515?error=login_required&error_description=Login+required&state=14f30dda-a08b-4f9d-9841-ed77c8e91c79
      And as I spent hours debugging this evening on Google Cloud SQL too. I'm seeing the 1234.5680 error using Debezium through Apache Beam.

      Would it be a reasonable Pull Request to update this dependency to 42.2.18? Would this be backported to Debezium 1.3 which Beam is using currently? Would you like this dependency pushed further forward? The newest version is 42.2.24, I believe.

      Attachments

        Issue Links

          Activity

            People

              Unassigned Unassigned
              judah.rand Judah Rand (Inactive)
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: